<template>
  <div class="flex flex-col justify-center items-center h-full">
    <img
      :src="getAssetImage('assets/theme/common/um/img_main_um_tool.png')"
      class="w-80"
    />
    <div class="p-5">{{ content }}</div>
    <el-button @click="onClose()" type="primary" class="px-5" plain round>{{
      $t("close")
    }}</el-button>
  </div>
</template>
<script lang="ts" setup>
import _ from "lodash";
import commonHelper from "@/utils/commonHelper";

const route = useRoute();
const { getAssetImage } = commonHelper;
const { onClose } = useCloseTelegramWebApp();
const [content] = _.split(
  atob(String(route.query.content)),
  "&&prevURL"
);
</script>
